## nginx 1.18.0-0ubuntu1.7+10.0trisquel1

=== debian/changelog ===
nginx (1.18.0-0ubuntu1.7+10.0trisquel1) nabia-security; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 24 Feb 2025 14:45:19 +0000

nginx (1.18.0-0ubuntu1.7) focal-security; urgency=medium

  * SECURITY UPDATE: null pointer dereference in nginx-rtmp-module.
    - debian/modules/rtmp/ngx_rtmp_amf.c patched with upstream
      commits.
  * SECURITY UPDATE: buffer overrun in nginx-rtmp-module
    - debian/modules/rtmp/ngx_rtmp_handler.c patched with upstream
      commits.
  * Closes LP: #1977718

 -- Thomas Ward <teward@ubuntu.com>  Fri, 14 Feb 2025 13:44:44 -0500

nginx (1.18.0-0ubuntu1.6) focal-security; urgency=medium

  * SECURITY UPDATE: DoS in ngx_http_mp4_module
    - debian/patches/CVE-2024-7347-1.patch: fixed buffer underread while
      updating stsz atom in src/http/modules/ngx_http_mp4_module.c.
    - debian/patches/CVE-2024-7347-2.patch: reject unordered chunks in stsc
      atom in src/http/modules/ngx_http_mp4_module.c.
    - CVE-2024-7347

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Sep 2024 09:52:13 -0400

nginx (1.18.0-0ubuntu1.5) focal; urgency=medium

  * d/rules: add -moutline-atomics for arm64 (LP: #2024019).

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Wed, 20 Mar 2024 15:11:50 -0700

nginx (1.18.0-0ubuntu1.4) focal-security; urgency=medium

  * SECURITY UPDATE: memory corruption/disclosure issue
    - debian/patches/CVE-2022-41741_41742.patch: disabled duplicate atoms in
      Mp4
    - CVE-2022-41741
    - CVE-2022-41742

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 10 Nov 2022 12:08:48 +0530

nginx (1.18.0-0ubuntu1.3) focal-security; urgency=medium

  * SECURITY UPDATE: ALPACA TLS issue
    - debian/patches/CVE-2021-3618.patch: specify the number of
      errors after which the connection is closed in
      src/mail/ngx_mail.h, src/mail/ngx_mail_core_module.c and
      src/mail/ngx_mail_handler.c.
    - CVE-2021-3618
  * SECURITY UPDATE: request mutation by unsafe characters
    - Add input validation to requests in Lua module in
      debian/modules/http-lua/src/ngx_http_lua_control.c,
      debian/modules/http-lua/src/ngx_http_lua_headers_in.c,
      debian/modules/http-lua/src/ngx_http_lua_headers_out.c,
      debian/modules/http-lua/src/ngx_http_lua_uri.c,
      debian/modules/http-lua/src/ngx_http_lua_util.h and
      debian/modules/http-lua/src/ngx_http_lua_util.h.
    - CVE-2020-36309
  * SECURITY UPDATE: request smuggling in ngx.location.capture
    - Add manual crafting of Content-Length in case request is 
      chunked in 
      debian/modules/http-lua/src/ngx_http_lua_subrequest.c.
    - CVE-2020-11724

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 12 Apr 2022 10:04:16 +0200
