=== debian/control ===
Source: nginx
Section: httpd
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Nginx Maintainers <pkg-nginx-maintainers@lists.alioth.debian.org>
Uploaders: Christos Trochalakis <ctrochalakis@debian.org>
Build-Depends: debhelper (>= 10),
               po-debconf,
               dpkg-dev (>= 1.15.5),
               libexpat-dev,
               libgd-dev,
               libgeoip-dev,
               libhiredis-dev,
               liblua5.1-0-dev [!i386 !amd64 !kfreebsd-i386 !armel !armhf !powerpc !powerpcspe !mips !mipsel],
               libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel],
               libmaxminddb-dev,
               libmhash-dev,
               libpam0g-dev,
               libpcre3-dev,
               libperl-dev,
               libssl-dev,
               libxslt1-dev,
               po-debconf,
               quilt,
               zlib1g-dev
Standards-Version: 4.1.3
Homepage: http://nginx.net
Vcs-Git: https://salsa.debian.org/nginx-team/nginx.git
Vcs-Browser: https://salsa.debian.org/nginx-team/nginx

Package: nginx
Architecture: all
Depends: nginx-core (<< ${source:Version}.1~) | nginx-full (<< ${source:Version}.1~) | nginx-light (<< ${source:Version}.1~) | nginx-extras (<< ${source:Version}.1~),
         nginx-core (>= ${source:Version}) | nginx-full (>= ${source:Version}) | nginx-light (>= ${source:Version}) | nginx-extras (>= ${source:Version}),
         ${misc:Depends}
Description: small, powerful, scalable web/proxy server
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This is a dependency package to install either nginx-full (by default),
 nginx-light or nginx-extras.

Package: nginx-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: small, powerful, scalable web/proxy server - documentation
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides extra documentation to help unleash the power of Nginx.

Package: nginx-common
Architecture: all
Multi-Arch: foreign
Depends: lsb-base (>= 3.0-6), ${misc:Depends}
Suggests: fcgiwrap, nginx-doc, ssl-cert
Description: small, powerful, scalable web/proxy server - common files
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package contains base configuration files used by all versions of
 nginx.

Package: nginx-core
Architecture: any
Depends: libnginx-mod-http-image-filter (= ${binary:Version}),
         libnginx-mod-http-xslt-filter (= ${binary:Version}),
         libnginx-mod-mail (= ${binary:Version}),
         libnginx-mod-stream (= ${binary:Version}),
         nginx-common (= ${source:Version}),
         iproute2, 
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: nginx (<< 1.4.5-1)
Provides: httpd, httpd-cgi, nginx
Conflicts: nginx-extras, nginx-light, nginx-full
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server (standard version)
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides a version of nginx identical to that of nginx-full,
 but without any third-party modules, and only modules in the original 
 nginx code base.
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Browser, Empty
 GIF, FastCGI, Geo, Limit Connections, Limit Requests, Map, Memcached, Proxy,
 Referer, Rewrite, SCGI, Split Clients, UWSGI.
 .
 OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, Gunzip,
 Gzip, Gzip Precompression, Headers, HTTP/2, Image Filter, Index, Log, Real IP,
 Slice, SSI, SSL, Stream, Stub Status, Substitution, Thread Pool, Upstream,
 User ID, XSLT.
 .
 MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.

Package: nginx-full
Architecture: any
Depends: libnginx-mod-http-auth-pam (= ${binary:Version}),
         libnginx-mod-http-dav-ext (= ${binary:Version}),
         libnginx-mod-http-echo (= ${binary:Version}),
         libnginx-mod-http-geoip (= ${binary:Version}),
         libnginx-mod-http-image-filter (= ${binary:Version}),
         libnginx-mod-http-subs-filter (= ${binary:Version}),
         libnginx-mod-http-upstream-fair (= ${binary:Version}),
         libnginx-mod-http-xslt-filter (= ${binary:Version}),
         libnginx-mod-http-geoip2 (= ${binary:Version}),
         libnginx-mod-mail (= ${binary:Version}),
         libnginx-mod-stream (= ${binary:Version}),
         nginx-common (= ${source:Version}),
         iproute2, 
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: nginx (<< 1.4.5-1)
Provides: httpd, httpd-cgi, nginx
Conflicts: nginx-extras, nginx-light, nginx-core
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server (standard version)
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides a version of nginx with the complete set of
 standard modules included (but omitting some of those included in
 nginx-extra).
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Browser, Empty
 GIF, FastCGI, Geo, Limit Connections, Limit Requests, Map, Memcached, Proxy,
 Referer, Rewrite, SCGI, Split Clients, UWSGI.
 .
 OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, GeoIP, Gunzip,
 Gzip, Gzip Precompression, Headers, HTTP/2, Image Filter, Index, Log, Real IP,
 Slice, SSI, SSL, Stream, SSL Preread, Stub Status, Substitution, Thread  Pool,
 Upstream, User ID, XSLT.
 .
 MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
 .
 THIRD PARTY MODULES: Auth PAM, DAV Ext, Echo, GeoIP2, HTTP Substitutions,
 Upstream Fair Queue.

Package: nginx-light
Architecture: any
Depends: libnginx-mod-http-echo (= ${binary:Version}),
         nginx-common (= ${source:Version}),
         iproute2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: nginx (<< 1.4.5-1)
Provides: httpd, httpd-cgi, nginx
Conflicts: nginx-extras, nginx-full, nginx-core
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server (basic version)
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides a very light version of nginx with only the
 minimal set of features and modules.
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Empty GIF,
 FastCGI, Map, Proxy, Rewrite, SCGI, uWSGI.
 .
 OPTIONAL HTTP MODULES: Auth Request, Charset, Gzip, Gzip Precompression,
 Headers, HTTP/2, Index, Log, Real IP, Slice, SSI, SSL, Stub Status, Thread
 Pool, WebDAV, Upstream.
 .
 THIRD PARTY MODULES: Echo.

Package: nginx-extras
Architecture: any
Depends: libnginx-mod-http-auth-pam (= ${binary:Version}),
         libnginx-mod-http-cache-purge (= ${binary:Version}),
         libnginx-mod-http-dav-ext (= ${binary:Version}),
         libnginx-mod-http-echo (= ${binary:Version}),
         libnginx-mod-http-fancyindex (= ${binary:Version}),
         libnginx-mod-http-geoip (= ${binary:Version}),
         libnginx-mod-http-geoip2 (= ${binary:Version}),
         libnginx-mod-http-headers-more-filter (= ${binary:Version}),
         libnginx-mod-http-image-filter (= ${binary:Version}),
         libnginx-mod-http-lua (= ${binary:Version}),
         libnginx-mod-http-perl (= ${binary:Version}),
         libnginx-mod-http-subs-filter (= ${binary:Version}),
         libnginx-mod-http-uploadprogress (= ${binary:Version}),
         libnginx-mod-http-upstream-fair (= ${binary:Version}),
         libnginx-mod-http-xslt-filter (= ${binary:Version}),
         libnginx-mod-mail (= ${binary:Version}),
         libnginx-mod-nchan (= ${binary:Version}),
         libnginx-mod-stream (= ${binary:Version}),
         nginx-common (= ${source:Version}),
         iproute2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: nginx (<< 1.4.5-1)
Provides: httpd, httpd-cgi, nginx
Conflicts: nginx-full, nginx-light, nginx-core
Suggests: nginx-doc (= ${source:Version})
Description: nginx web/proxy server (extended version)
 Nginx ("engine X") is a high-performance web and reverse proxy server
 created by Igor Sysoev. It can be used both as a standalone web server
 and as a proxy to reduce the load on back-end HTTP or mail servers.
 .
 This package provides a version of nginx with the standard modules, plus
 extra features and modules such as the Perl module, which allows the
 addition of Perl in configuration files.
 .
 STANDARD HTTP MODULES: Core, Access, Auth Basic, Auto Index, Browser, Empty
 GIF, FastCGI, Geo, Limit Connections, Limit Requests, Map, Memcached, Proxy,
 Referer, Rewrite, SCGI, Split Clients, UWSGI.
 .
 OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, FLV, GeoIP,
 Gunzip, Gzip, Gzip Precompression, Headers, HTTP/2, Image Filter, Index, Log,
 MP4, Embedded Perl, Random Index, Real IP, Slice, Secure Link, SSI, SSL,
 Stream, SSL Preread, Stub Status, Substitution, Thread Pool, Upstream,
 User ID, XSLT.
 .
 MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
 .
 THIRD PARTY MODULES: Auth PAM, Cache Purge, DAV Ext, Echo, Fancy Index,
 Headers More, Embedded Lua, GeoIP2, HTTP Substitutions, Nchan, Upload
 Progress, Upstream Fair Queue.

Package: libnginx-mod-http-geoip
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GeoIP HTTP module for Nginx
 The ngx_http_geoip module creates variables with values depending on the
 client IP address, using the precompiled MaxMind databases.
 .
 Those variables include country, region, city, latitude, longitude, postal
 code, etc.

Package: libnginx-mod-http-image-filter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTTP image filter module for Nginx
 The ngx_http_image_filter module is a filter that transforms images in JPEG,
 GIF, and PNG formats.
 .
 The module supports filters such as rotate, resize, crop, quality, sharpening,
 interlacing and more.

Package: libnginx-mod-http-xslt-filter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XSLT Transformation module for Nginx
 The ngx_http_xslt_filter module is a filter that transforms XML responses
 using one or more XSLT stylesheets.
 .
 The transformation can be adjusted by setting the relevant configuration
 parameters.

Package: libnginx-mod-mail
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Mail module for Nginx
 The nginx_mail module adds mail proxy support to nginx.
 .
 The module supports proxying all the standard mail protocols such as IMAP,
 POP3 & SMTP.

Package: libnginx-mod-stream
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Stream module for Nginx
 The nginx_stream module adds stream proxy support to nginx.
 .
 Stream module supports loadbalancing & proxying to TCP servers. The module
 also supports ACLs/connection limiting and configuring multiple operational
 parameters.

Package: libnginx-mod-http-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Replaces: nginx-extras (<< 1.9.14-1)
Description: Perl module for Nginx
 Embed Perl runtime into nginx.
 .
