## nginx 1.18.0-6ubuntu14.6+11.0trisquel1

=== debian/changelog ===
nginx (1.18.0-6ubuntu14.6+11.0trisquel1) aramo-security; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 24 Feb 2025 14:45:16 +0000

nginx (1.18.0-6ubuntu14.6) jammy-security; urgency=medium

  * SECURITY UPDATE: null pointer dereference in nginx-rtmp-module.
    - debian/modules/rtmp/ngx_rtmp_amf.c patched with upstream
      commits.
  * SECURITY UPDATE: buffer overrun in nginx-rtmp-module
    - debian/modules/rtmp/ngx_rtmp_handler.c patched with upstream
      commits.
  * Closes LP: #1977718

 -- Thomas Ward <teward@ubuntu.com>  Fri, 14 Feb 2025 13:40:46 -0500

nginx (1.18.0-6ubuntu14.5) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS in ngx_http_mp4_module
    - debian/patches/CVE-2024-7347-1.patch: fixed buffer underread while
      updating stsz atom in src/http/modules/ngx_http_mp4_module.c.
    - debian/patches/CVE-2024-7347-2.patch: reject unordered chunks in stsc
      atom in src/http/modules/ngx_http_mp4_module.c.
    - CVE-2024-7347

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Sep 2024 09:51:15 -0400

nginx (1.18.0-6ubuntu14.4) jammy; urgency=medium

  * d/p/lp1957320-jammy-fixed-sigquit-issue-with-unix-sockets.patch:
    Fix SIGQUIT by replacing the custom socket closing code in the
    ngx_process_cycle.c file by calling another function.
    (LP: #1957320)

 -- Michal Maloszewski <michal.maloszewski@canonical.com>  Tue, 30 May 2023 19:31:46 +0200

nginx (1.18.0-6ubuntu14.3) jammy-security; urgency=medium

  * SECURITY UPDATE: memory corruption/disclosure issue
    - debian/patches/CVE-2022-41741_41742.patch: disabled duplicate atoms in
      Mp4
    - CVE-2022-41741
    - CVE-2022-41742

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 10 Nov 2022 12:09:42 +0530

nginx (1.18.0-6ubuntu14.2) jammy; urgency=medium

  * d/p/ssl-op-ignore-unexpected-eof-option.patch: Add compatibility
    flag for certain clients that don't close their connection properly.
    (LP: #1981457)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 02 Aug 2022 15:24:53 -0700

nginx (1.18.0-6ubuntu14.1) jammy-security; urgency=medium

  * SECURITY UPDATE: ALPACA TLS issue
    - debian/patches/CVE-2021-3618.patch: specify the number of
      errors after which the connection is closed in
      src/mail/ngx_mail.h, src/mail/ngx_mail_core_module.c and
      src/mail/ngx_mail_handler.c.
    - CVE-2021-3618

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Wed, 27 Apr 2022 12:56:57 +0200

nginx (1.18.0-6ubuntu14) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:10:20 +0000

nginx (1.18.0-6ubuntu13) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:48:12 +0100

nginx (1.18.0-6ubuntu12) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 13:59:50 +0000

nginx (1.18.0-6ubuntu11) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:21:36 +0200

nginx (1.18.0-6ubuntu10) impish; urgency=medium

  * SECURITY UPDATE: DNS Resolver issues
    - debian/patches/CVE-2021-23017-1.patch: fixed off-by-one write in
      src/core/ngx_resolver.c.
    - debian/patches/CVE-2021-23017-2.patch: fixed off-by-one read in
      src/core/ngx_resolver.c.
    - debian/patches/CVE-2021-23017.patch: removed, replaced with upstream
      commits.
    - CVE-2021-23017

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 May 2021 06:59:42 -0400

nginx (1.18.0-6ubuntu9) impish; urgency=medium

  * SECURITY UPDATE: DNS Resolver Off-by-One Heap Write
    - debian/patches/CVE-2021-23017.patch: fix logic in
      src/core/ngx_resolver.c.
    - CVE-2021-23017

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 May 2021 13:06:54 -0400

nginx (1.18.0-6ubuntu8) hirsute; urgency=medium

  * d/modules/control: Remove Lua module from definitions
  * d/tests/:
    - control: Remove Lua test, remove dependencies on any test which
      request libnginx-mod-http-lua as it's gone.
    - lua: Remove the lua test entirely.

 -- Thomas Ward <teward@ubuntu.com>  Wed, 10 Mar 2021 10:50:43 -0500

nginx (1.18.0-6ubuntu7) hirsute; urgency=medium

  * d/control:
    - Fix dependencies issue for libnginx-mod-http-geoip2 - missing a
      character in the depends.

 -- Thomas Ward <teward@ubuntu.com>  Tue, 09 Mar 2021 19:03:55 -0500

nginx (1.18.0-6ubuntu6) hirsute; urgency=medium

  * d/control:
    - Update dependencies for nginx-light, etc. to include 
      libnginx-mod-http-geoip2 as it's in the 'common build flags' for
      all flavors of the builds.
    - Update nginx-core package description to list third party HTTP
      modules.  GeoIP2 is not included for Stream by default, so we
      have to adjust this because the Stream part isn't MIR'd.

 -- Thomas Ward <teward@ubuntu.com>  Tue, 09 Mar 2021 12:41:36 -0500

nginx (1.18.0-6ubuntu5) hirsute; urgency=medium

  * d/control: (GeoIP2 related changes)
    - Update dependencies for http-geoip2 package.
    - Update nginx-core to include http-geoip2 module due to approved bin-MIR
      (LP: #1867198)
    - Update description to nginx-core to indicate geoip2 is included.
  * d/control: move geoip2 module build flags to the common flags so all 
    package flavors have it.
  * d/modules/http-geoip2: Update to upstream version 3.3.
  * Remove the Lua modules from NGINX (Server Team Decision) - future support
    for Lua module now requires resty-core from OpenResty, meaning that if 
    we want to continue to support the Lua module, we have to start becoming
    OpenResty - users should just use OpenResty at this point for Lua.
    Changes made for this removal:
     - d/control:

