## nginx 1.18.0-6ubuntu14.7+11.0trisquel1

=== debian/changelog ===
nginx (1.18.0-6ubuntu14.7+11.0trisquel1) aramo-security; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 25 Aug 2025 17:53:21 +0000

nginx (1.18.0-6ubuntu14.7) jammy-security; urgency=medium

  * SECURITY UPDATE: data leak in ngx_mail_smtp_module
    - debian/patches/CVE-2025-53859.patch: properly check lengths in
      src/mail/ngx_mail_handler.c.
    - CVE-2025-53859

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Aug 2025 08:46:32 -0400
