## nginx 1.20.2

=== debian/changelog ===
nginx (1.20.2-3~exp1) experimental; urgency=low

  [ Thomas Ward ]
  * d/conf/mime.types: Fix a typo in font/woff2 extension in 
    mime.types.

  [ Bastian Germann ]
  * d/copyright: Update copyright for d/debhelper/*

  [ Miao Wang ]
  * adding a new nginx-dev package including necessary headers and debhelper
    scripts to build and package a 3rd party module.
  * d/p/0002-Make-sure-signature-stays-the-same-in-all-nginx-buil.patch
    removed, because feature already implemented with --with-compat configure
    option since 1.11.5

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 18 May 2022 05:48:44 +0200

nginx (1.20.2-2) unstable; urgency=medium

  [ Thomas Ward ]
  * d/patches/CVE-2021-3618.patch: Include upstream changeset from NGINX 
    that adds mitigations into the Mail module for CVE-2021-3618.patch.
    (Closes: #991328)

  [ Jan Mojžíš ]
  * d/p/0003-define_gnu_source-on-other-glibc-based-platforms.patch update,
    fixes build on hurd-i386 platform

 -- Thomas Ward <teward@ubuntu.com>  Wed, 04 May 2022 16:04:59 -0400

nginx (1.20.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Uploaders for new maintainers.

  [ Thomas Ward ]
  * Update to latest upstream Stable version (1.20.2) (Closes: #1008855)
  * d/patches/Resolver-fixed-off-by-one-write-in-ngx_resolver
    _copy.patch: Drop CVE-2021-23017 patch, as this is fixed in 1.20.1
    and we are now using 1.20.2 which already contains the patch.
  * Refreshed d/patches/0002-Make-sure-signature-stays-the-same-
    in-all-nginx-buil.patch (fuzz thanks to 1.20.2)
  * d/conf/mime.types: Update mime.types to more match upstream mime.types
    and include upstream changes with mime.types from 1.21.x via nginx.org
    mercurial repository versions.
  * d/control: Remove self from Uploaders per other Debian devs, who want 
    that commit to be done by someone on the current uploaders/maintainers
    group instead.

 -- Thomas Ward <teward@ubuntu.com>  Tue, 19 Apr 2022 09:50:42 -0400

nginx (1.18.0-9) unstable; urgency=medium

  [ Jan Mojžíš ]
  * http-lua: Downgrade to 0.10.13 (Closes: #1008787).
  * http-lua: Backport upstream bugfix for segfault in nginx core >= 1.15.0
    when libnginx-mod-http-lua is loaded and init_worker_by_lua* is used.
  * d/control: Add mips64el,ppc64,kfreebsd-amd64 to list of luajit platforms.
  * d/control: fix Homepage nginx.net -> nginx.org (Closes: #976158)

  [ Thomas Ward ]
  * d/watch: Update watch syntax to match all even versions of NGINX releases
    rather than use a watch syntax that is static to one specific version.
    This will fix the untracked "New upstream stable versions" problem.
  * d/control: Update 'uploaders' as Thomas Ward is now a maintainer in 
    the Salsa repository.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 05 Apr 2022 19:11:47 +0200
